## org.eclipse.jst.jsf.context.structureddocument
Interface IStructuredDocumentContextFactory2

All Superinterfaces:
  IStructuredDocumentContextFactory

    public interface IStructuredDocumentContextFactory2

extends IStructuredDocumentContextFactory

A factory method for constructing context objects related to SSE structured documents. May be sub-classed or implemented by clients

Field Summary
`static IStructuredDocumentContextFactory2` `INSTANCE` The default singleton instance of the factory

Method Summary
`IStructuredDocumentContext` `getContext(org.w3c.dom.Element element)`

Methods inherited from interface org.eclipse.jst.jsf.context.structureddocument.IStructuredDocumentContextFactory
`getContext, getContext, getContext`

Field Detail

### INSTANCE

    static final IStructuredDocumentContextFactory2 INSTANCE

  The default singleton instance of the factory

Method Detail

### getContext

    IStructuredDocumentContext getContext(org.w3c.dom.Element element)

  Parameters:
    `element` - -- org.w3c.Element
  Returns:
    a context for the element or if null if one cannot be determined.